// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.afarcloud;

public class CollarAnomalies {

    private boolean locationAnomaly, temperatureAnomaly, distanceAnomaly, activityAnomaly, positionAnomaly;

    public boolean isLocationAnomaly() {
        return locationAnomaly;
    }

    public void setLocationAnomaly(boolean locationAnomaly) {
        this.locationAnomaly = locationAnomaly;
    }

    public boolean isTemperatureAnomaly() {
        return temperatureAnomaly;
    }

    public void setTemperatureAnomaly(boolean temperatureAnomaly) {
        this.temperatureAnomaly = temperatureAnomaly;
    }

    public boolean isDistanceAnomaly() {
        return distanceAnomaly;
    }

    public void setDistanceAnomaly(boolean distanceAnomaly) {
        this.distanceAnomaly = distanceAnomaly;
    }

    public boolean isActivityAnomaly() {
        return activityAnomaly;
    }

    public void setActivityAnomaly(boolean activityAnomaly) {
        this.activityAnomaly = activityAnomaly;
    }

    public boolean isPositionAnomaly() {
        return positionAnomaly;
    }

    public void setPositionAnomaly(boolean positionAnomaly) {
        this.positionAnomaly = positionAnomaly;
    }
}
